/* GMM (C) 2018 Stephane Charette <stephanecharette@gmail.com>
 * $Id: SerialCommStub.cpp 2637 2018-10-16 05:55:54Z stephane $
 */


/** @file
 * This file is only included when building the Linux version of GMM.
 * See SerialCommWin32.cpp for the Microsoft Windows equivalent.
 */


#include "GMM.hpp"


void TabCanvas::open_serial_device(const std::string & device_name)
{
	warnings_and_errors.push_back("Linux version skips opening device " + device_name);

	return;
}


void TabCanvas::close_serial_device(void)
{
	return;
}


std::string TabCanvas::read_from_device(VBytes & read_buffer)
{
	return get_simulated_string(read_buffer);
}
